package com.xhpc.system.domain;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 运营者子账号权限 xhpc_user_privilege
 *
 * @author ruoyi
 */
public class XhpcUserPrivilege implements Serializable
{
    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @NotBlank(message = "用户id不能为空")
    private Long userId;

    /**
     * 电站id
     */
    @NotBlank(message = "电站id不能为空")
    private Long chargingStationId;


    public XhpcUserPrivilege() {
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getChargingStationId() {
        return chargingStationId;
    }

    public void setChargingStationId(Long chargingStationId) {
        this.chargingStationId = chargingStationId;
    }
}
